DatatypeMessageFormatter (Xerces2 Implementation)
Date: 2012-11-18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.util
Class DatatypeMessageFormatter

    java.lang.Object
      org.apache.xerces.util.DatatypeMessageFormatter

    public class DatatypeMessageFormatter

extends java.lang.Object

Used to format JAXP 1.3 Datatype API error messages using a specified locale.

Version:
  $Id: DatatypeMessageFormatter.java 813087 2009-09-09 19:35:27Z mrglavas $
Author:
  Neeraj Bajaj, Sun Microsystems

Constructor Summary
`DatatypeMessageFormatter()`

Method Summary
`static java.lang.String` | `formatMessage(java.util.Locale locale, java.lang.String key, java.lang.Object[] arguments)` Formats a message with the specified arguments using the given locale information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatatypeMessageFormatter

    public DatatypeMessageFormatter()

Method Detail

### formatMessage

    public static java.lang.String formatMessage(java.util.Locale locale,
                                                 java.lang.String key,
                                                 java.lang.Object[] arguments)
                                          throws java.util.MissingResourceException

  Formats a message with the specified arguments using the given locale information.

  Parameters:
    `locale` - The locale of the message.
    `key` - The message key.
    `arguments` - The message replacement text arguments. The order of the arguments must match that of the placeholders in the actual message.
  Returns:
    the formatted message.
  Throws:
    `java.util.MissingResourceException` - Thrown if the message with the specified key cannot be found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.